Copy the task dates of another schedule version

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/production-schedule-versions/{production_schedule_version_id}/set-task-links-from-production-schedule-version

Copy the task dates of another production schedule version into this version. A production schedule version is a copy of the schedule. You can change it, and then apply it to the tasks. You must be a manager of the project.

Path parameters

  • production_schedule_version_id string(uuid) Required

    Unique identifier of the production schedule version

application/json

Body Required

  • production_schedule_version_id string(uuid) Required

    Source production schedule version unique identifier

Responses

  • 200 application/json

    The task links of the version

    Hide response attributes Show response attributes object
    • success boolean
    • task_link_count integer

      Number of task links copied

  • 400

    The body is not valid, the two versions are not in the same project, or the source version is the target version

  • 403

    You are not a manager of the project

  • 404

    A production schedule version does not exist

POST /actions/production-schedule-versions/{production_schedule_version_id}/set-task-links-from-production-schedule-version
curl -X POST "http://api.example.com/actions/production-schedule-versions/a24a6ea4-ce75-4665-a070-57453082c25/set-task-links-from-production-schedule-version" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "production_schedule_version_id": "b35b7fb5-df86-5776-b181-68564193d36"
}'
import requests

url = "http://api.example.com/actions/production-schedule-versions/a24a6ea4-ce75-4665-a070-57453082c25/set-task-links-from-production-schedule-version"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "production_schedule_version_id": "b35b7fb5-df86-5776-b181-68564193d36"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "production_schedule_version_id": "b35b7fb5-df86-5776-b181-68564193d360"
}
Response examples (200)
{
  "success": true,
  "task_link_count": 42
}